// WiFiDirectSoftAPDlg.h : header file
//

#pragma once

#include "afxwin.h"

#include "..\..\..\..\Source\WiFi\wclWiFi.h"

using namespace wclWiFi;


// CWiFiDirectSoftAPDlg dialog
class CWiFiDirectSoftAPDlg : public CDialog
{
// Construction
public:
	CWiFiDirectSoftAPDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_WIFIDIRECTSOFTAP_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

private:
	CEdit edSsid;
	CEdit edPassphrase;
	CListBox lbLog;

	CwclWiFiSoftAP wclWiFiSoftAP;

	void SoftApDeviceAccept(void* Sender, CwclWiFiDirectDevice* const Device, bool& Accept);
	void SoftApDeviceConnected(void* Sender, CwclWiFiDirectDevice* const Device);
	void SoftApDeviceConnectError(void* Sender, CwclWiFiDirectDevice* const Device, 
		const int Error);
	void SoftApDeviceDisconnected(void* Sender, CwclWiFiDirectDevice* const Device);
	void SoftApStarted(void* Sender);
	void SoftApStopped(void* Sender);
public:
	afx_msg void OnDestroy();
	afx_msg void OnBnClickedButtonStart();
	afx_msg void OnBnClickedButtonStop();
	afx_msg void OnBnClickedButtonGetIpSettings();
	afx_msg void OnBnClickedButtonSetIpSettings();
	afx_msg void OnBnClickedButtonResetIpSettings();
};
